<!DOCTYPE web-app PUBLIC
 "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
 "http://java.sun.com/dtd/web-app_2_3.dtd" >

<web-app>
	<display-name>Archetype Created Web Application</display-name>
	<filter>
		<filter-name>CORS</filter-name>
		<filter-class>com.thetransactioncompany.cors.CORSFilter</filter-class>
	</filter>
	<filter-mapping>
        <filter-name>CORS</filter-name>
        <url-pattern>/*</url-pattern>
	</filter-mapping>
	<servlet>
		<servlet-name>ServicesRest</servlet-name>
		<servlet-class>org.glassfish.jersey.servlet.ServletContainer</servlet-class>
		<init-param>
	        <param-name>jersey.config.server.provider.packages</param-name>
	        <param-value>co.com.ws.rest</param-value>
	    </init-param>

<!-- 		<init-param> -->
<!-- 			<param-name>com.sun.jersey.api.json.POJOMappingFeature</param-name> -->
<!-- 			<param-value>true</param-value> -->
<!-- 		</init-param> -->
<!-- 		<init-param> -->
<!-- 		  <param-name>com.sun.jersey.spi.container.ContainerResponseFilters</param-name> -->
<!-- 		  <param-value>launch.CORSFilter</param-value> -->
<!-- 		</init-param> -->
		
		<load-on-startup>1</load-on-startup>
	</servlet>
	<!-- Tipo de url -->
	<servlet-mapping>
		<servlet-name>ServicesRest</servlet-name>
		<url-pattern>/servicesRest/*</url-pattern>
	</servlet-mapping>
</web-app>
